Package com.independentsoft.graph

# Enum Class PhoneType

java.lang.Object
java.lang.Enum<PhoneType>
com.independentsoft.graph.PhoneType

All Implemented Interfaces:
  `Serializable`, `Comparable<PhoneType>`, `Constable`

public enum PhoneType extends Enum<PhoneType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSISTENT`
  `BUSINESS`
  `BUSINESS_FAX`
  `HOME`
  `HOME_FAX`
  `MOBILE`
  `OTHER`
  `OTHER_FAX`
  `PAGER`
  `RADIO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PhoneType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PhoneType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HOME

    public static final PhoneType HOME

  - ### BUSINESS

    public static final PhoneType BUSINESS

  - ### MOBILE

    public static final PhoneType MOBILE

  - ### ASSISTENT

    public static final PhoneType ASSISTENT

  - ### HOME_FAX

    public static final PhoneType HOME_FAX

  - ### BUSINESS_FAX

    public static final PhoneType BUSINESS_FAX

  - ### OTHER_FAX

    public static final PhoneType OTHER_FAX

  - ### PAGER

    public static final PhoneType PAGER

  - ### RADIO

    public static final PhoneType RADIO

  - ### OTHER

    public static final PhoneType OTHER

- ## Method Details

  - ### values

    public static PhoneType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PhoneType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null